# Update Execution Task Status

Update the status of a specific execution task

Endpoint: PUT /rmg/api/orchestration/execution/task/{taskExecutionId}/status
Version: 1.0
Security: x-api-key

## Path parameters:

  - `taskExecutionId` (string, required)
    ID of the execution task

## Header parameters:

  - `Harness-Account` (string, required)
    Account Identifier

## Query parameters:

  - `orgIdentifier` (string)
    Organisation Identifier

  - `projectIdentifier` (string)
    Project Identifier

## Request fields (application/json):

  - `status` (string, required)
    Current status of the execution task
    Enum: "TODO", "IN_PROGRESS", "SUCCEEDED", "FAILED", "BLOCKED"

## Response 200 fields (application/json):

  - `taskExecutionId` (string, required)
    UUID of the updated task

  - `status` (string, required)
    Current status of the execution task
    Enum: "TODO", "IN_PROGRESS", "SUCCEEDED", "FAILED", "BLOCKED"

## Response 400 fields (application/json):

  - `message` (string, required)
    error message detail

  - `code` (string)
    canonical error code name
    Enum: "BAD_REQUEST", "UNAUTHORIZED", "FORBIDDEN", "NOT_FOUND", "INTERNAL_SERVER_ERROR"


